Subject: Re: b19 and cygwin.dll
From: [email-masked] (Bartlee A. Anderson)

20 Feb 1998 15:57:35 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Craig Dickson <[email-masked]>
Cc: [email-masked]

Craig, 
Are you using mingw32 or cygwin32?
How have you used COM in a project?
Do you have any source.
I don't know why registration of COM is concerned with the setup of
the mingw32/cygwin32.
I do agree with Marty that installation should be piecemeal. But I think
that there are some volunteers to make useful instructions and or
releases for general consumption. But If we are aiming a product at a
mass market, I don't think it will be a compiler suite. Programmers are
expected to be "technical" and I hope a little smarter than the average
computer user. We wouldn't be needed much otherwise.
The above questions are real and are for my edification to help
understand your position.
Thanks,
	Bart

Craig Dickson wrote:
> 
> Marty Leisner wrote:
> 
> >I would like the same thing with win95...instead of a bundled application,
> >I'd like to see the pieces (binary and source) and understand their
> >relationship to run, then install it manually.
> 
> >
> >This is desirable, because I may put components on a samba share, and do
> >the whole installation from the unix side...
> 
> Of course, the average PC user (probably 90% or more of the PC userbase)
> would be totally incapable of installing software if it were done as you
> suggest, so it's silly to propose such a thing. Since Windows 95 (by volume
> the most significant Win32 platform) is targeted for the average user, and
> not the professional software engineer or systems administrator, it's
> unrealistic to think that installing software should require any
> sophisticated understanding of the system.
> 
> Additionally, you would have trouble setting up registry entries from a Unix
> box, which means, among other things, that you couldn't register COM objects
> included in the software you were "installing".
> 
> And, needless to say, even if you and I could properly understand how to
> install a complex application by hand, a lot of other people would make
> mistakes and then use up a lot of the software supplier's tech support time
> getting it straightened out. It doesn't take very many, or very long,
> support calls to blow the profit on the sale of a single copy of most
> software products.
> 
> This is not to suggest that automated installers necessarily get it right
> every time under all conditions, but they usually do the job well enough.
> Uninstallers are often a little flakier, but do usually manage to remove COM
> registrations and program files.
> 
> Craig
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".